import {makeStyles, MenuItem, MenuList, tokens} from "@fluentui/react-components";
import {useStoreBucket} from "../../store/bucket";
import {ArchiveRegular} from "@fluentui/react-icons";

const useStyles = makeStyles({
    buckets: {
        height: "100%",
        width: "100%",
    },
    bucket_items: {
        width: "100%",
    },
    bucket_item: {
        width: "100%",
        "&:first-child": {
            marginTop: "0.5rem",
        },
        "&:hover": {
            color: tokens.colorNeutralForeground2BrandPressed,
        },
        "& > span:nth-child(2)": {
            maxWidth: '100% !important',
        },
    },
})

export function Bucket() {

    const styles = useStyles();
    const {bucket_list} = useStoreBucket()

    return <div className={styles.buckets}>
        <MenuList className={styles.bucket_items}>
            {bucket_list.map(((item, idx) => {
                return <MenuItem className={styles.bucket_item} icon={<ArchiveRegular/>} style={{width: '100%'}}
                                 key={idx}>{item.name}</MenuItem>
            }))}
        </MenuList>
    </div>
}