import {Button, Input, makeStyles, MenuItem, MenuList, mergeClasses, tokens, Tooltip} from "@fluentui/react-components";
import {DismissRegular} from "@fluentui/react-icons";
import {useEffect, useState} from "react";
import {Connection} from "../../interfaces/connection";
import {useStoreBucket} from "../../store/bucket";
import {useStoreConnection} from "../../store/connection";
import {Dial} from "../../api";
import {useToast} from "../../message";
import {ConnectionList} from "../connection/list";
import {Content} from "../file/content";

const useStyles = makeStyles({
    body: {
        display: "flex",
        flexDirection: 'row',
        width: "100%",
        flex: '1',
    },
})

export function Body() {
    const styles = useStyles();
    const {conn_get} = useStoreConnection();

    useEffect(() => {
        conn_get()
    }, []);


    return <div className={styles.body}>
        <ConnectionList/>
        <Content />
    </div>
}